Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 454440 - Review Request: R-biglm - Bounded memory linear and generalized linear models
Summary: Review Request: R-biglm - Bounded memory linear and generalized linear models
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Pierre-YvesChibon
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 454441
TreeView+ depends on / blocked
 
Reported: 2008-07-08 14:43 UTC by Tom "spot" Callaway
Modified: 2008-07-10 21:53 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-07-10 21:53:52 UTC
pingou: fedora-review+
tcallawa: fedora-cvs+


Attachments (Terms of Use)

Description Tom "spot" Callaway 2008-07-08 14:43:53 UTC
Spec URL: http://www.auroralinux.org/people/spot/review/new/R-biglm.spec
SRPM URL: http://www.auroralinux.org/people/spot/review/new/R-biglm-0.4-1.fc10.src.rpm
Description: 
Regression for data too large to fit in memory.

Comment 1 Pierre-Yves 2008-07-09 08:13:47 UTC
rpmlint ../SRPMS/R-biglm-0.4-1.fc9.src.rpm ../RPMS/x86_64/R-biglm-*
R-biglm.x86_64: W: one-line-command-in-%post /usr/lib/rpm/R-make-search-index.sh
R-biglm.x86_64: W: one-line-command-in-%postun /usr/lib/rpm/R-make-search-index.sh
3 packages and 0 specfiles checked; 0 errors, 2 warnings.

according to the R guidelines these warnings are safe to ignore.

* rpmlint OK
* Name OK
* License OK
* Sources: OK
  -site :   c5d6797ec7b446dfeedf913d52771bea  biglm_0.4.tar.gz
  -src.rpm: c5d6797ec7b446dfeedf913d52771bea  ../SOURCES/biglm_0.4.tar.gz
* Build on F-9 
http://koji.fedoraproject.org/koji/taskinfo?taskID=704272
* Build on F-8
http://koji.fedoraproject.org/koji/taskinfo?taskID=704280
* Requires: OK
* Files: OK
* Macros: OK
* The library loads into R
* The example given by ?biglm works

APPROVED

Comment 2 Pierre-Yves 2008-07-09 08:20:55 UTC
Hugh ??
Why when I am logged in I can not assign the review to me neither set the review
flag as + ??

Comment 3 Pierre-YvesChibon 2008-07-09 08:48:52 UTC
problem found, and should be fixed soon

Comment 4 Tom "spot" Callaway 2008-07-10 21:06:15 UTC
New Package CVS Request
=======================
Package Name: R-biglm
Short Description: Bounded memory linear and generalized linear models
Owners: spot
Branches: F-8 F-9 EL-4 EL-5
InitialCC: 
Cvsextras Commits: yes

Comment 5 Tom "spot" Callaway 2008-07-10 21:09:36 UTC
cvs done.

Comment 6 Tom "spot" Callaway 2008-07-10 21:53:52 UTC
built in rawhide, thanks for the review.


Note You need to log in before you can comment on or make changes to this bug.